<div class="card my-5">
    <div class="card-body">
      <form (ngSubmit)="onSubmit()" #userForm="ngForm">
        <div class="form-group">
          <label for="firstName">First Name</label>
          <input type="text" [(ngModel)]="user.firstName" 
            class="form-control"
            id="firstName"
            name="firstName"
            placeholder="Enter your first name"
            required #name="ngModel">
        </div>

        <div class="form-group">
            <label for="lastName">Last Name</label>
            <input type="text" [(ngModel)]="user.lastName" 
              class="form-control"
              id="lastName"
              name="lastName"
              placeholder="Enter your last name"
              required #name="ngModel">
          </div>

        <div class="form-group">
          <label for="email">Email</label>
          <input type="text" [(ngModel)]="user.email" 
            class="form-control"
            id="email"
            name="email"
            placeholder="Enter your email address"
            required #email="ngModel">
        </div>
        <div class="form-group">
            <label for="birthDate">Birth date</label>
            <input type="date" [(ngModel)]="user.birthDate" 
              class="form-control"
              id="birthDate"
              name="birthDate"
              placeholder="Enter your date of birth"
              #email="ngModel">
          </div>
          <div style="text-align: center;">
        <button type="submit" [disabled]="!userForm.form.valid" 
          class="btn btn-info"><a routeLink = "/">Create account</a></button>
      </div>
        </form>
    </div>
  </div>